#include <sys/times.h>
#include <unistd.h>
void xtime(array)
    float array[];
{
    struct tms timestruct;
    long iret;
    static long tick = 0;
    if(!tick)tick = sysconf(_SC_CLK_TCK);
    iret = times(&timestruct);
    array[0] = (float) timestruct.tms_utime / (float) tick;
    array[1] = (float) timestruct.tms_stime / (float) tick;
    return;
}
/*  Alternative names  */
void xtime_(array)
     float array[];
{
    struct tms timestruct;
    long iret;
    static long tick = 0;
    if(!tick)tick = sysconf(_SC_CLK_TCK);
    iret = times(&timestruct);
    array[0] = (float) timestruct.tms_utime / (float) tick;
    array[1] = (float) timestruct.tms_stime / (float) tick;
  return;
}
void ETIME(array)
     float array[];
{
    struct tms timestruct;
    long iret;
    static long tick = 0;
    if(!tick)tick = sysconf(_SC_CLK_TCK);
    iret = times(&timestruct);
    array[0] = (float) timestruct.tms_utime / (float) tick;
    array[1] = (float) timestruct.tms_stime / (float) tick;
  return;
}
